%global framework kldap

# uncomment to enable bootstrap mode
# global bootstrap 1
%if !0%{?bootstrap}
%global tests 1
%endif

Name:           kf5-%{framework}
Version:        23.08.5
Release:        1
Summary:        The KLDAP Library
License:        LGPLv2+
URL:            https://api.kde.org/kdepim/kldap/html
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif

BuildRequires:  cyrus-sasl-devel
BuildRequires:  openldap-devel
%global kf5_ver 5.71
BuildRequires:  extra-cmake-modules >= %{kf5_ver}
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-kcompletion-devel >= %{kf5_ver}
BuildRequires:  kf5-kdoctools-devel >= %{kf5_ver}
BuildRequires:  kf5-kio-devel >= %{kf5_ver}
BuildRequires:  kf5-kwidgetsaddons-devel >= %{kf5_ver}
BuildRequires:  kf5-ki18n-devel >= %{kf5_ver}
BuildRequires:  cmake(KF5Wallet) >= %{kf5_ver}
# global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global majmin_ver %{version}
BuildRequires:  kf5-kmbox-devel >= %{majmin_ver}
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}

BuildRequires:  qt5-qtbase-devel
BuildRequires:  cmake(Qt5Keychain)

%if 0%{?tests}
BuildRequires:  dbus-x11
BuildRequires:  xorg-x11-server-Xvfb
%endif

# kio/ldap.so moved here
Conflicts:      kf5-akonadi < 16.07

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       cyrus-sasl-devel
Requires:       openldap-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
popd
%make_build  -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}

%find_lang %{name} --all-name --with-html


%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 10" -C %{_target_platform} ||:
%endif


%ldconfig_scriptlets

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*ldap.*
%{_kf5_libdir}/libKPim5Ldap.so.*
%{_kf5_plugindir}/kio/ldap.so

%files devel
%{_includedir}/KPim5/KLDAP/
%{_kf5_libdir}/libKPim5Ldap.so
%{_kf5_libdir}/cmake/KPim5Ldap/
%{_kf5_archdatadir}/mkspecs/modules/qt_Ldap.pri


%changelog
* Fri Mar 15 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.4-1
- update verison to 23.08.4

* Tue Aug 15 2023 peijiankang <peijiankang@kylinos.cn> - 23.04.3-1
- 23.04.3

* Mon Apr 24 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 22.12.0-1
- Package init
